---
updatedAt: 2026-09-02T13:22:56.000Z
---

# Delete a reference set

Starting from our September 2025 release, reference set deletion has become a self-service task. You can delete any reference set from your Connect subscription.

> 🚧 Warning
>
> Reference set deletion is a **destructive operation** that cannot be reversed. Before you run the mutation, verify that the reference set is not connected to other data sets and its data isn't used for segmentation and message personalization.

# Running the mutation

If you haven't used our API before, see [Using the Connect API](https://developer.goacoustic.com/acoustic-connect/reference/base-url) for instructions. It explains how to authenticate your calls and suggests some tools for testing.

# Basic mutation structure

```graphql
mutation {
  deleteDataSet(where: {dataSetId: "4fe4136f-c007-44a3-b38f-92220xxxxxxxx"}) {
    dataSetId
  }
}
```

# Mutation arguments

| Argument | Type   | Required? | Description                           |
| -------- | ------ | --------- | ------------------------------------- |
| `where`  | Object | Required  | Contains the reference set identifier |

## Where object

* **`dataSetId`** (required): String - The ID of the reference set to delete

# Response fields

The mutation returns a JSON response containing:

* **`data`** (required): Object - Root response object
  * **`deleteDataSet`** (required): Object - Deletion result
    * **`dataSetId`** (required): String - The ID of the reference set that has been deleted

# Verification

In the current implementation, Connect doesn't report on the result. To make sure the reference set has been deleted, navigate to **Data management** > **Reference sets** or run the `dataSets` query for the reference set.

```graphql Query
query  {
  dataSets(filter: [{ field: "dataSetId", eq: "4fe4136f-c007-44a3-b38f-92220xxxxxxxx" }]) {
    nodes {
      name
      dataSetId
      type
    }
  }
}
```
```json Response
{
  "data": {
    "dataSets": {
      "nodes": []
    }
  }
}
```